plotCircles <-
function(commPercent, sizes, names, cutoff = 0.05) {
  nopoints <- nrow(commPercent)
  if (nopoints>1) {
    pp1 <- sin(2*pi*(1:nopoints)/nopoints)
    pp2 <- cos(2*pi*(1:nopoints)/nopoints)
  } else {
    pp1 = 0; pp2 = 0
  }
  plot(pp1, pp2, cex=sizes, pch=19, bty="n", xlab="", ylab="", xaxt="n", yaxt="n")
  text(pp1, pp2, names, cex=0.8, adj=c(0,0), col="red")
  if (nopoints>1) {
    for (i in 2:nopoints) {
      for (j in 1:(i-1)) {
        if (commPercent[i,j] > cutoff) {
           lines(pp1[c(i,j)], pp2[c(i,j)], lwd=2*commPercent[i,j]/cutoff)
           text(sum(pp1[c(i,j)]*c(2/3,1/3)), sum(pp2[c(i,j)]*c(2/3,1/3)), paste(round(commPercent[i,j]*1000)/10, "%", sep=""), cex=0.8, adj=c(0,0), col="blue")
        }
      }
    }
  }
}

